Annonce

Forum fermé : le support est désormais assuré sur Debian-Facile

HandyLinux rejoint Debian-FacileTous les détails sur le Blog !

Vous n'êtes pas identifié(e).

#1 2016-10-05 17:24:03

fanum
Membre
Inscription : 2016-02-26
Messages : 12

[résolu] Ouvrir un pdf avec libreoffice

Bonjour à tous,
Je suis sous Handylinux 2.5.1.
Depuis que je suis passé à libreoffice 5.1.5.2, je n'arrive plus à ouvrir un pdf avec libreoffice. Un clic droit sur un fichier puis ouvrir avec libreoffice me donne un document avec pleins de caractères bizarres et quand j'en ouvre un depuis libreoffice (writer ou draw) en sélectionnant PDF (writer) ou PDF (draw) comme type de fichier, j'ai une erreur générale d'entrée-sortie.
J'ai trouvé une discussion sur le forum de debian-facile sur ce sujet mais sans solution (à part d'installer libreoffice-pdfimport, ce que j'ai fait et qui a fait apparaître les formats de fichiers cités plus haut dans les types de fichiers à ouvrir).
Sur un autre ordinateur, sous Ubuntu 14.04 et Libreoffice 5.1.4.2, ça marche. Je ne trouve pas de paquet correspondant présent sur cet ordi et pas sur le mien.
Merci d'avance pour votre aide.

Dernière modification par fanum (2016-10-06 10:46:33)

Hors ligne

#2 2016-10-05 22:13:22

festysonic
Membre
Inscription : 2015-09-06
Messages : 28

Re : [résolu] Ouvrir un pdf avec libreoffice

Bonsoir,

Je crois que qu'il faut installer ça :

sudo apt-get install libreoffice-pdfimport

le lien ci-dessous l'explique
Ou voir ici

Moi ça marche, mais je suis LibreOffice 4,3,3,2

Bon pdf

Hors ligne

#3 2016-10-06 07:32:07

chalu
utilisatrice zen ;)
Lieu : Anjou
Inscription : 2015-04-26
Messages : 1 946

Re : [résolu] Ouvrir un pdf avec libreoffice

Bonjour,

Je pars du principe que tu as installé libreoffice 5 depuis les dépôts jessie-backports car c'est la méthode conseillée, c'est bien ce que tu as fait ?

Mettre à jour le système pour commencer
Ouvri un terminal et :

sudo apt-get update && sudo apt-get dist-upgrade

Installer le paquet depuis les backports :

sudo apt-get -t jessie-backports install libreoffice-pdfimport 

Édit : puisque tu avais fait une recherche sur le forum de Debian Facile, tu pouvais poser ta question là-bas, les passages de l'équipe y sont plus fréquents qu'ici wink

Edit2: changement de la commande pour la mise à jour de upgrade en dist-upgrade pour effectivement mettre à jour le paquet libreoffice des backports

Dernière modification par chalu (2016-10-06 09:54:12)

Hors ligne

#4 2016-10-06 10:37:07

fanum
Membre
Inscription : 2016-02-26
Messages : 12

Re : [résolu] Ouvrir un pdf avec libreoffice

Bonjour,

Effectivement, si on force le dépôt backports pour Libreoffice, il est logique de le faire pour tout ce qui s'y rapporte. Je n'avais pas réfléchi jusque là. Un grand merci Chalu. Par contre, je l'ai fait avant ton edit2 (donc sans dist-upgrade) et ça a marché quand même (en mettant à jour libreoffice en 5.2.2.2.0+ au passage). Un dist-upgrade effectué après ne trouve rien à ajouter.

Je n'étais pas encore inscrit sur le forum de Debian Facile. C'est chose faite et je vais indiquer la solution sur la discussion mentionnée.

Encore  merci

Hors ligne


⇒ xtra'gifs

Pied de page des forums

Forum ouvert le 03-03-2015 -- Propulsé par FluxBB

HandyLinux, une distribution Debian GNU/Linux sans se prendre la tête
historique du projet -- sources du projet -- avenir du projet